#!/bin/bash

if [ -z ${CROSS_COMPILE} ]; then
    export CROSS_COMPILE="armv7a-mediatek482_001_vfp-linux-gnueabi-"
fi

if [ -z ${OSS_HOST} ]; then
    export OSS_HOST="armv7a-mediatek482_001_vfp-linux-gnueabi"
fi

if [ -z ${TAR_INSTALL_PATH} ]; then
    export TAR_INSTALL_PATH="$(pwd)/library"
fi

export CC=${CROSS_COMPILE}gcc
export CXX=${CROSS_COMPILE}g++
export LD=${CROSS_COMPILE}ld
export AS=${CROSS_COMPILE}as
export RANLIB=${CROSS_COMPILE}ranlib

tar -jxvf ntfsprogs-2.0.0-482.tar.bz2

cd ntfsprogs-2.0.0
./configure --prefix=${TAR_INSTALL_PATH} --host=${OSS_HOST}
make

cd ..
mkdir -p ${TAR_INSTALL_PATH}/sbin
if [ -e ntfsprogs-2.0.0/ntfsprogs/.libs/ntfslabel ]; then
    cp ntfsprogs-2.0.0/ntfsprogs/.libs/ntfslabel ${TAR_INSTALL_PATH}/sbin/
else
    echo "Make fail"
    exit 1
fi

mkdir -p ${TAR_INSTALL_PATH}/lib
if [ -e ntfsprogs-2.0.0/libntfs/.libs/libntfs.so.10.0.0 ]; then
    cp ntfsprogs-2.0.0/libntfs/.libs/libntfs.so.10.0.0 ${TAR_INSTALL_PATH}/lib/libntfs.so.10
else
    echo "Make fail"
    exit 1
fi

echo "Make Success!"
